//+---------------------------------------------------------------------+
//|                                                     LOCLinePips.mq4 |
//| For more EXPERTS, INDICATORS, TRAILING EAs and SUPPORT Please visit:|
//|                                      http://www.landofcash.net      |
//|           Our forum is at:   http://forex-forum.landofcash.net      |
//+---------------------------------------------------------------------+
#property copyright "Mikhail LandOfCash"
#property link      "http://www.landofcash.net"

#property indicator_chart_window


extern color _textColor=White;

string _fullName;
string _objPref="LOCLinePips";
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   DeleteLabels(_objPref);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   int    counted_bars=IndicatorCounted();
//----
   int    obj_total=ObjectsTotal();
   string name;
   DeleteLabels(_objPref);
   for(int i=0;i<obj_total;i++)
   {
    name=ObjectName(i);    
    //if(StringFind(name, objPref,0)>-1){      
      if(ObjectType(name)==OBJ_HLINE && ObjectName(i)=="pipline"){
         double price = ObjectGet(name, OBJPROP_PRICE1) ;
         CreateText(_objPref+name,Time[5],price,_textColor,DoubleToStr(MathAbs((Bid-price)/Point/10),1));
      }      
    //}
   }
//----
   return(0);
  }
  

void CreateText(string name, datetime time1, double price,color boxcolor, string text){
   ObjectDelete(name);
   if(!ObjectCreate(name, OBJ_TEXT,0, time1, price))
   {
    Print("error: cant create OBJ_TEXT! code #",GetLastError());
    return(0);
   }
   ObjectSetText(name, text, 10, "Verdana", boxcolor);
}
void DeleteLabels(string objPref){
   int    obj_total=ObjectsTotal();
   string name;
   for(int i=0;i<obj_total;i++)
   {
    name=ObjectName(i);    
    if(StringFind(name, objPref,0)>-1){      
      ObjectDelete(name);
      i--;
    }
   }
}
//+------------------------------------------------------------------+

